package testdata;

import de.accso.flexinale.FlexinaleMonolithApplication;
import de.accso.flexinale.data.persistence.*;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.annotation.DirtiesContext;

@SpringBootTest(classes = {FlexinaleMonolithApplication.class})
@DirtiesContext(classMode = DirtiesContext.ClassMode.BEFORE_CLASS)
@SuppressWarnings("NewClassNamingConvention")
class DatabaseCleaner {

    @Autowired
    private BenutzerDao benutzerDao;

    @Autowired
    private KinoDao kinoDao;

    @Autowired
    private FilmDao filmDao;

    @Autowired
    private VorfuehrungDao vorfuehrungDao;

    @Autowired
    private TicketDao ticketDao;

    @Test
    void deleteAllBenutzerAndFilmeAndKinosAndVorfuehrungenFromDatabase() {
        benutzerDao.deleteAll();
        kinoDao.deleteAll();
        filmDao.deleteAll();
        vorfuehrungDao.deleteAll();
        ticketDao.deleteAll();
    }
}
